﻿using Rhino;
using Rhino.Commands;
using Rhino.UI;

namespace EtoTreeGridViewDemo1
{
    public class ShowPanel : Command
    {
        public ShowPanel()
        {
            // Rhino only creates one instance of each command class defined in a
            // plug-in, so it is safe to store a refence in a static property.
            Instance = this;
        }

        ///<summary>The only instance of this command.</summary>
        public static ShowPanel Instance
        {
            get; private set;
        }

        ///<returns>The command name as it appears on the Rhino command line.</returns>
        public override string EnglishName
        {
            get { return "ShowPanel"; }
        }

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            if (!Panels.IsPanelVisible(MainPanel.PanelID))
                Panels.OpenPanel(MainPanel.PanelID);

            return Result.Success;
        }
    }
}
